## org.apache.http.auth
Interface Credentials

All Known Implementing Classes:
  NTCredentials, UsernamePasswordCredentials

    public interface Credentials

This interface represents a set of credentials consisting of a security principal and a secret (password) that can be used to establish user identity

Since:
  4.0

Method Summary
`String` `getPassword()`
`Principal` `getUserPrincipal()`

Method Detail

### getUserPrincipal

    Principal getUserPrincipal()

### getPassword

    String getPassword()

Copyright © 1999-2013 The Apache Software Foundation. All Rights Reserved.